CRMchat APIBeta
Telegram MethodsWallet

wallet.setCardStickers

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/wallet.setCardStickers

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/wallet.setCardStickers" \  -H "Content-Type: application/json" \  -d '{    "params": {      "stickers": [        {          "_": "inputWalletCardSticker",          "coordinates": {            "_": "mediaAreaCoordinates",            "x": 0.1,            "y": 0.1,            "w": 0.1,            "h": 0.1,            "rotation": 0.1          },          "nftAddress": "string"        }      ]    }  }'
{  "result": {    "_": "wallet.card",    "stickers": [      {        "_": "wallet.cardSticker",        "coordinates": {          "_": "mediaAreaCoordinates",          "x": 0.1,          "y": 0.1,          "w": 0.1,          "h": 0.1,          "rotation": 0.1,          "radius": 0.1        },        "nft": {          "_": "wallet.nftItem",          "collectionAddress": "string",          "address": "string",          "ownerAddress": "string",          "index": "string",          "name": "string",          "description": "string",          "image": {            "_": "webDocument",            "url": "string",            "accessHash": "string",            "size": 0,            "mimeType": "string",            "attributes": [              {                "_": "documentAttributeImageSize",                "w": 0,                "h": 0              }            ]          },          "imageSmall": {            "_": "webDocument",            "url": "string",            "accessHash": "string",            "size": 0,            "mimeType": "string",            "attributes": [              {                "_": "documentAttributeImageSize",                "w": 0,                "h": 0              }            ]          },          "contentUrl": {            "_": "webDocument",            "url": "string",            "accessHash": "string",            "size": 0,            "mimeType": "string",            "attributes": [              {                "_": "documentAttributeImageSize",                "w": 0,                "h": 0              }            ]          },          "lottie": {            "_": "webDocument",            "url": "string",            "accessHash": "string",            "size": 0,            "mimeType": "string",            "attributes": [              {                "_": "documentAttributeImageSize",                "w": 0,                "h": 0              }            ]          },          "attributes": [            {              "_": "wallet.nftAttribute",              "traitType": "string",              "value": "string"            }          ],          "extra": {            "_": "dataJSON",            "data": "string"          },          "gift": {            "_": "starGift",            "limited": true,            "soldOut": true,            "birthday": true,            "requirePremium": true,            "limitedPerUser": true,            "peerColorAvailable": true,            "auction": true,            "id": "string",            "sticker": {              "_": "documentEmpty",              "id": "string"            },            "stars": "string",            "availabilityRemains": 0,            "availabilityTotal": 0,            "availabilityResale": "string",            "convertStars": "string",            "firstSaleDate": 0,            "lastSaleDate": 0,            "upgradeStars": "string",            "resellMinStars": "string",            "title": "string",            "releasedBy": {              "_": "peerUser",              "userId": 0            },            "perUserTotal": 0,            "perUserRemains": 0,            "lockedUntilDate": 0,            "auctionSlug": "string",            "giftsPerRound": 0,            "auctionStartDate": 0,            "upgradeVariants": 0,            "background": {              "_": "starGiftBackground",              "centerColor": 0,              "edgeColor": 0,              "textColor": 0            }          }        }      }    ],    "bgNftItem": {      "_": "wallet.nftItem",      "collectionAddress": "string",      "address": "string",      "ownerAddress": "string",      "index": "string",      "name": "string",      "description": "string",      "image": {        "_": "webDocument",        "url": "string",        "accessHash": "string",        "size": 0,        "mimeType": "string",        "attributes": [          {            "_": "documentAttributeImageSize",            "w": 0,            "h": 0          }        ]      },      "imageSmall": {        "_": "webDocument",        "url": "string",        "accessHash": "string",        "size": 0,        "mimeType": "string",        "attributes": [          {            "_": "documentAttributeImageSize",            "w": 0,            "h": 0          }        ]      },      "contentUrl": {        "_": "webDocument",        "url": "string",        "accessHash": "string",        "size": 0,        "mimeType": "string",        "attributes": [          {            "_": "documentAttributeImageSize",            "w": 0,            "h": 0          }        ]      },      "lottie": {        "_": "webDocument",        "url": "string",        "accessHash": "string",        "size": 0,        "mimeType": "string",        "attributes": [          {            "_": "documentAttributeImageSize",            "w": 0,            "h": 0          }        ]      },      "attributes": [        {          "_": "wallet.nftAttribute",          "traitType": "string",          "value": "string"        }      ],      "extra": {        "_": "dataJSON",        "data": "string"      },      "gift": {        "_": "starGift",        "limited": true,        "soldOut": true,        "birthday": true,        "requirePremium": true,        "limitedPerUser": true,        "peerColorAvailable": true,        "auction": true,        "id": "string",        "sticker": {          "_": "documentEmpty",          "id": "string"        },        "stars": "string",        "availabilityRemains": 0,        "availabilityTotal": 0,        "availabilityResale": "string",        "convertStars": "string",        "firstSaleDate": 0,        "lastSaleDate": 0,        "upgradeStars": "string",        "resellMinStars": "string",        "title": "string",        "releasedBy": {          "_": "peerUser",          "userId": 0        },        "perUserTotal": 0,        "perUserRemains": 0,        "lockedUntilDate": 0,        "auctionSlug": "string",        "giftsPerRound": 0,        "auctionStartDate": 0,        "upgradeVariants": 0,        "background": {          "_": "starGiftBackground",          "centerColor": 0,          "edgeColor": 0,          "textColor": 0        }      }    },    "address": "string",    "balance": "string"  },  "txid": 0}